Linux下RabbitMq安装

发布时间:2019-01-29 03:13:58
点击:43546次

在大多数大公司,像应用服务器软件的安装、部署都是运维的事情,其实自己去尝试部署一下,也是有收获的。

有机会正好尝试了Linux下的rabbitMq安装过程,做了记录,希望有用到的人可以做下参考。

 

安装环境:

Linux: centOS 7.0 mini版

rabbitMq: 3.6.2

 

查询linux版本

more /etc/issuemq

rabbitMq服务端网址下载,这里推荐3.6.2

 http://www.rabbitmq.com/releases/rabbitmq-server/

wget安装或者官网下载Mq

wget http://www.rabbitmq.com/releases/rabbitmq-server/v3.6.2/rabbitmq-server-generic-unix-3.6.2.tar.xz

 

因为rabbitMqerlang编写的,安装mq前先安装erlang

一、Erlang的安装:

http://www.erlang.org/downloads

选择otp18.3

解压erlang到/opt目录下:

解压源文件:tar -xzvf otp_src_18.3.tar.gz

cd /opt/otp_src_18.3/

创建erlang安装目录:mkdir /opt/erlang

配置安装路径编译代码:./configure --prefix=/opt/erlang

如果报No curses library functions found错,安装curses

安装后重新编译代码

执行编译结果:make && make install完成后进入/opt/erlang查看执行结果

配置Erlang环境变量,vi /etc/profile文件,增加下面的环境变量:

export PATH=$PATH:/opt/erlang/bin

使得文件生效 source  /etc/profile

至此erlang安装完成

erlang安装包路不能删除,如果觉得路径不对,可以重新安装

验证erlang是否安装成功:erl

退出erl:halt();

 

 二、rabbitMq的安装:

Centos6.5默认不安装xz解压命令

安装mq 至/opt/rabbitmq

Mq安装包默认是xz结尾的,解压xz文件后得到tar文件

xz -d rabbitmq-server-generic-unix-3.6.2.tar.xz

解压文件

Mq文件解压:tar -xvf rabbitmq-server-generic-unix-3.6.2.tar

添加环境变量:export PATH=$PATH:/opt/rabbitmq/sbin

环境变量生效:source  /etc/profile

进入sbin 启动服务:./rabbitmq-server -detached

查看服务状态:./rabbitmqctl status

关闭服务:./rabbitmqctl stop 

 

配置网页插件

首先创建目录,否则可能报错:mkdir /etc/rabbitmq 

启用插件:./rabbitmq-plugins enable rabbitmq_management

启动mq:./rabbitmq-server -detached

配置linux 端口: 15672 网页管理,  5672 AMQP端口

然后访问http://10.100.3.126:15672

rabbitmq默认会创建guest账号,只能用于localhost登录页面管理员

进入sbin

启动mq:

cd opt/rabbitmq/sbin

./rabbitmq-server –detached

 

查看服务状态:rabbitmqctl status

关闭服务:rabbitmqctl stop

查看mq用户:rabbitmqctl list_users  

查看用户权限:rabbitmqctl list_user_permissions guest

新增用户: rabbitmqctl add_user admin 123456

赋予管理员权限:

rabbitmqctl set_user_tags admin administrator 

rabbitmqctl set_permissions -p "/" admin ".*" ".*" ".*" 

OK,安装到此完毕。




RabbitMQ PHP扩展安装

 # 安装rabbitmq-c依赖包
yum install libtool autoconf

# 安装rabbitmq-c ( 最好下载 0.5的,0.6安装可能会报错)
# 版本下载:https://github.com/alanxz/rabbitmq-c/releases/tag/v0.5.0
wget https://github.com/alanxz/rabbitmq-c/releases/download/v0.5.0/rabbitmq-c-0.5.0.tar.gz
tar -zxvf v0.5.0
cd rabbitmq-c-0.5.0/
autoreconf -i
./configure --prefix=/usr/local/rabbitmq-c
make
make install

# 安装PHP扩展 amqp
wget http://pecl.php.net/get/amqp-1.6.1.tgz
tar zxvf amqp-1.6.1.tgz
cd amqp-1.6.1
/usr/local/php/bin/phpize
./configure --with-php-config=/usr/local/php/bin/php-config --with-amqp --with-librabbitmq-dir=/usr/local/rabbitmq-c
make
make install

# 编辑php.ini文件,增加amqp扩展支持
vim /usr/local/php/etc/php.ini

# 增加下面内容
; rabbitmq扩展支持
extension=amqp.so

# 重启php-fpm 

/etc/init.d/php-fpm restart


https://www.cnblogs.com/garryfu/p/7988657.html

https://segmentfault.com/a/1190000004627137#articleHeader0